NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
NXOpen.SIM.PostConfigurator.PostConfiguratorBuilder Member List

This is the complete list of members for NXOpen.SIM.PostConfigurator.PostConfiguratorBuilder, including all inherited members.

AddProperty(string chainID, string configurationObjectID, string propertyID)NXOpen.SIM.PostConfigurator.PostConfiguratorBuilderinline
AsyncProcessMessage(IMessage msg, IMessageSink replySink)NXOpen.Utilities.NXRemotableObjectinline
Commit()NXOpen.Builderinline
DateValueNXOpen.SIM.PostConfigurator.PostConfiguratorBuilder
Destroy()NXOpen.Builderinline
EncryptPostConfiguratorFiles(string soldToID, string expirationDate)NXOpen.SIM.PostConfigurator.PostConfiguratorBuilderinline
GetCommittedObjects()NXOpen.Builderinline
GetObject()NXOpen.Builderinline
GetPropertyAccessType(string chainID, string configurationObjectID, string propertyID)NXOpen.SIM.PostConfigurator.PostConfiguratorBuilderinline
GetPropertyChainIds()NXOpen.SIM.PostConfigurator.PostConfiguratorBuilderinline
GetPropertyConfigurationObjectIds()NXOpen.SIM.PostConfigurator.PostConfiguratorBuilderinline
GetPropertyDataFieldType(string chainID, string configurationObjectID, string propertyID)NXOpen.SIM.PostConfigurator.PostConfiguratorBuilderinline
GetPropertyDataType(string chainID, string configurationObjectID, string propertyID)NXOpen.SIM.PostConfigurator.PostConfiguratorBuilderinline
GetPropertyDefaultValue(string chainID, string configurationObjectID, string propertyID)NXOpen.SIM.PostConfigurator.PostConfiguratorBuilderinline
GetPropertyDescriptionText(string chainID, string configurationObjectID, string propertyID)NXOpen.SIM.PostConfigurator.PostConfiguratorBuilderinline
GetPropertyIds()NXOpen.SIM.PostConfigurator.PostConfiguratorBuilderinline
GetPropertyOptionsIdValue(string chainID, string configurationObjectID, string propertyID)NXOpen.SIM.PostConfigurator.PostConfiguratorBuilderinline
GetPropertyOptionsValue(string chainID, string configurationObjectID, string propertyID)NXOpen.SIM.PostConfigurator.PostConfiguratorBuilderinline
GetPropertyOptionType(string chainID, string configurationObjectID, string propertyID)NXOpen.SIM.PostConfigurator.PostConfiguratorBuilderinline
GetPropertyValue(string chainID, string configurationObjectID, string propertyID)NXOpen.SIM.PostConfigurator.PostConfiguratorBuilderinline
GetPropertyValueChangedStatus(string chainID, string configurationObjectID, string propertyID)NXOpen.SIM.PostConfigurator.PostConfiguratorBuilderinline
LayerManagerBuilderNXOpen.SIM.PostConfigurator.PostConfiguratorBuilder
NextSinkNXOpen.Utilities.NXRemotableObject
PostProcess(NXOpen.CAM.CAMObject[] objects, string outputFilename, bool showOutputToListingWindow)NXOpen.SIM.PostConfigurator.PostConfiguratorBuilderinline
PrintTestData(String variableName)NXOpen.TaggedObjectinline
PrintTestData(String variableName, int lineNumber)NXOpen.TaggedObjectinline
PropertyAccessType enum nameNXOpen.SIM.PostConfigurator.PostConfiguratorBuilder
PropertyDataFieldType enum nameNXOpen.SIM.PostConfigurator.PostConfiguratorBuilder
PropertyDataType enum nameNXOpen.SIM.PostConfigurator.PostConfiguratorBuilder
PropertyOptionType enum nameNXOpen.SIM.PostConfigurator.PostConfiguratorBuilder
PropertyValueChangedStatusType enum nameNXOpen.SIM.PostConfigurator.PostConfiguratorBuilder
RemoveProperty(string chainID, string configurationObjectID, string propertyID)NXOpen.SIM.PostConfigurator.PostConfiguratorBuilderinline
Reset()NXOpen.SIM.PostConfigurator.PostConfiguratorBuilderinline
SaveAs(string postprocessorName, string outputDirectory)NXOpen.SIM.PostConfigurator.PostConfiguratorBuilderinline
SetPropertyToDefaultValue(string chainID, string configurationObjectID, string propertyID)NXOpen.SIM.PostConfigurator.PostConfiguratorBuilderinline
SetPropertyValue(string chainID, string configurationObjectID, string propertyID, string value)NXOpen.SIM.PostConfigurator.PostConfiguratorBuilderinline
SetPropertyValue(string chainID, string configurationObjectID, string propertyID, string[] value)NXOpen.SIM.PostConfigurator.PostConfiguratorBuilderinline
SetPropertyValue(string chainID, string configurationObjectID, string propertyID, int value)NXOpen.SIM.PostConfigurator.PostConfiguratorBuilderinline
SetPropertyValue(string chainID, string configurationObjectID, string propertyID, double value)NXOpen.SIM.PostConfigurator.PostConfiguratorBuilderinline
SetPropertyValue(string chainID, string configurationObjectID, string propertyID, double firstValue, double secondValue, double thirdValue)NXOpen.SIM.PostConfigurator.PostConfiguratorBuilderinline
ShowChanges()NXOpen.SIM.PostConfigurator.PostConfiguratorBuilderinline
ShowResults()NXOpen.Builderinline
SyncProcessMessage(IMessage msg)NXOpen.Utilities.NXRemotableObjectinline
TagNXOpen.TaggedObject
ToString()NXOpen.TaggedObjectinline
UdeEditorBuilderNXOpen.SIM.PostConfigurator.PostConfiguratorBuilder
Validate()NXOpen.Builderinline
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.